declare  
   v_count number;  
 begin  
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFPRIVATE'; 
    if v_count>0 then  
      execute immediate'drop table OFPRIVATE';    
    end if;  
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFOFFLINE';  
    if v_count>0 then  
      execute immediate'drop table OFOFFLINE';
    end if; 
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFNOTICEROTE';  
    if v_count>0 then  
      execute immediate'drop table OFNOTICEROTE';
    end if; 
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFPRESENCE'; 
    if v_count>0 then  
      execute immediate'drop table OFPRESENCE';    
    end if;  
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFROSTERGROUPS';  
    if v_count>0 then  
      execute immediate'drop table OFROSTERGROUPS';
    end if; 
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFVCARD';  
    if v_count>0 then  
      execute immediate'drop table OFVCARD';
    end if;
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFGROUP'; 
    if v_count>0 then  
      execute immediate'drop table OFGROUP';    
    end if;  
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFGROUPPROP';  
    if v_count>0 then  
      execute immediate'drop table OFGROUPPROP';
    end if; 
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFGROUPUSER';  
    if v_count>0 then  
      execute immediate'drop table OFGROUPUSER';
    end if; 
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFID'; 
    if v_count>0 then  
      execute immediate'drop table OFID';    
    end if;  
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFPROPERTY';  
    if v_count>0 then  
      execute immediate'drop table OFPROPERTY';
    end if; 
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFVERSION';  
    if v_count>0 then  
      execute immediate'drop table OFVERSION';
    end if;   
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFEXTCOMPONENTCONF';  
    if v_count>0 then  
      execute immediate'drop table OFEXTCOMPONENTCONF';
    end if; 
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFREMOTESERVERCONF';  
    if v_count>0 then  
      execute immediate'drop table OFREMOTESERVERCONF';
    end if;   
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFMUCUSERTOKEN';  
    if v_count>0 then  
      execute immediate'drop table OFMUCUSERTOKEN';
    end if; 
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFPRIVACYLIST';  
    if v_count>0 then  
      execute immediate'drop table OFPRIVACYLIST';
    end if;   
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFSASLAUTHORIZED';  
    if v_count>0 then  
      execute immediate'drop table OFSASLAUTHORIZED';
    end if; 
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFSECURITYAUDITLOG';  
    if v_count>0 then  
      execute immediate'drop table OFSECURITYAUDITLOG';
    end if;   
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFUPDATEINFO';  
    if v_count>0 then  
      execute immediate'drop table OFUPDATEINFO';
    end if; 
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFMUCSERVICE';  
    if v_count>0 then  
      execute immediate'drop table OFMUCSERVICE';
    end if;    
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFSYSUPDATE';  
    if v_count>0 then  
      execute immediate'drop table OFSYSUPDATE';
    end if; 
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFMUCSERVICEPROP';  
    if v_count>0 then  
      execute immediate'drop table OFMUCSERVICEPROP';
    end if;   
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFMUCROOM';  
    if v_count>0 then  
      execute immediate'drop table OFMUCROOM';
    end if; 
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFMUCROOMPROP';  
    if v_count>0 then  
      execute immediate'drop table OFMUCROOMPROP';
    end if;    
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFMUCAFFILIATION';  
    if v_count>0 then  
      execute immediate'drop table OFMUCAFFILIATION';
    end if; 
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFMUCMEMBER';  
    if v_count>0 then  
      execute immediate'drop table OFMUCMEMBER';
    end if;   
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFMUCCONVERSATIONLOG';  
    if v_count>0 then  
      execute immediate'drop table OFMUCCONVERSATIONLOG';
    end if; 
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFPUBSUBNODE';  
    if v_count>0 then  
      execute immediate'drop table OFPUBSUBNODE';
    end if;    
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFPUBSUBNODEJIDS';  
    if v_count>0 then  
      execute immediate'drop table OFPUBSUBNODEJIDS';
    end if; 
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFROSTER';  
    if v_count>0 then  
      execute immediate'drop table OFROSTER';
    end if;   
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFPUBSUBNODEGROUPS';  
    if v_count>0 then  
      execute immediate'drop table OFPUBSUBNODEGROUPS';
    end if; 
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFPUBSUBAFFILIATION';  
    if v_count>0 then  
      execute immediate'drop table OFPUBSUBAFFILIATION';
    end if;    
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFPUBSUBITEM';  
    if v_count>0 then  
      execute immediate'drop table OFPUBSUBITEM';
    end if; 
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFPUBSUBSUBSCRIPTION';  
    if v_count>0 then  
      execute immediate'drop table OFPUBSUBSUBSCRIPTION';
    end if;   
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFPUBSUBDEFAULTCONF';  
    if v_count>0 then  
      execute immediate'drop table OFPUBSUBDEFAULTCONF';
    end if; 
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFMUCROOMUSERS';  
    if v_count>0 then  
      execute immediate'drop table OFMUCROOMUSERS';
    end if;     
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFURLICON';  
    if v_count>0 then  
      execute immediate'drop table OFURLICON';
    end if; 
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFICONLIST';  
    if v_count>0 then  
      execute immediate'drop table OFICONLIST';
    end if;   
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFDOCUPLOAD';  
    if v_count>0 then  
      execute immediate'drop table OFDOCUPLOAD';
    end if; 
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFPOPINFO';  
    if v_count>0 then  
      execute immediate'drop table OFPOPINFO';
    end if;     
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFMUCROOMFILES';  
    if v_count>0 then  
      execute immediate'drop table OFMUCROOMFILES';
    end if; 
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFCLIENTKEY';  
    if v_count>0 then  
      execute immediate'drop table OFCLIENTKEY';
    end if;   
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFUSER';  
    if v_count>0 then  
      execute immediate'drop table OFUSER';
    end if; 
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFUSERPROP';  
    if v_count>0 then  
      execute immediate'drop table OFUSERPROP';
    end if;  
    select count(1) into v_count from user_tables t where t.TABLE_NAME='OFUSERFLAG';  
    if v_count>0 then  
      execute immediate'drop table OFUSERFLAG';
    end if;
end;
/